% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/load.R
\name{load.scaler}
\alias{load.scaler}
\title{Load the Scaler for the pre-trained Long Short Term Memory (LSTM) Network}
\usage{
load.scaler()
}
\value{
scaler objective.
}
\description{
Loads the scaler object within the \code{LSTMfactors} package. This object
is a \code{list} containing a mean vector and
a standard deviation vector, which were computed from the 1,000,000
datasets \code{\link[LSTMfactors]{data.datasets.LSTM}}
training the Long Short Term Memory (LSTM) Network. It
serves as a tool for normalizing features in
\code{\link[LSTMfactors]{LSTM}}.
}
\examples{
library(LSTMfactors)

scaler <- load.scaler()
print(scaler)


}
\seealso{
\code{\link[LSTMfactors]{LSTM}}, \code{\link[LSTMfactors]{normalizor}}, \code{\link[LSTMfactors]{data.scaler.LSTM}}
}
